## Package org.apache.jasper.runtime

Class Summary
BodyContentImpl: Write text to a character-output stream, buffering characters so as to provide for the efficient writing of single characters, arrays, and strings.
HttpJspBase: This is the subclass of all JSP-generated servlets.
JspFactoryImpl: Implementation of JspFactory from the spec.
JspRuntimeLibrary: Bunch of util methods that are used by code generated for useBean, getProperty and setProperty.
JspRuntimeLibrary.PrivilegedIntrospectHelper
JspWriterImpl: Write text to a character-output stream, buffering characters so as to provide for the efficient writing of single characters, arrays, and strings.
PageContextImpl: Implementation of the PageContext class from the JSP spec.
ServletResponseWrapperInclude: ServletResponseWrapper used for the JSP 'include' action.

Exception Summary
JspException: Base class for all exceptions generated by the JSP engine.

Copyright © 2000 Apache Software Foundation. All Rights Reserved.